Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5163 - lpd having trouble sending job to SVR4, SVR4 not like -h
Summary: lpd having trouble sending job to SVR4, SVR4 not like -h
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-15 17:06 UTC by Tom Cross
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-19 16:37:02 UTC


Attachments (Terms of Use)

Description Tom Cross 1999-09-15 17:06:56 UTC
I have a remote printer setup on my linux box which prints
to a printer on a NCR MP-RAS v3.02 (SVR4 much like UNIXWARE)
box.  When I print to that printer, I get the following love
letter from the NCR box:

Your printer job (itin.out)
could not be printed.

Reason for failure:

UX:lpd: ERROR: The following options can't be handled:
               -h
       TO FIX: The printer(s) that otherwise qualify
               for printing your request can't handle
               one or more of these options. Try
               another printer, or change the options.


I'm using lpr-0.41-2 from rawhide rebuilt on my RH 6.0
machine.  the /etc/printcap entry looks like this:


##PRINTTOOL3## REMOTE TEXT NAxNA letter {} TextPrinter
Default {}
lineptr:\
        :sd=/var/spool/lpd/lineptr:\
        :mx#0:\
        :sh:\
        :rm=landru:\
        :rp=lineptr:\
        :if=/var/spool/lpd/lineptr/filter:

As far as I can remember, this worked fine with RH 5.2 but I
don't remember which version of lpr/lpd I was using when it
worked... :(

Comment 1 Bill Nottingham 1999-09-23 19:55:59 UTC
Can you turn on DEBUG_TREE & DEBUG_FILTER in the
filter file to try and get some more information?  Thanks.

Comment 2 Tom Cross 1999-10-08 16:37:59 UTC
Changed /var/spool/lpd/lineptr/filter to define the DEBUG variables.

Printed using this command:  lpr -Plineptr /etc/issue

Filter DEBUG results:
# cat /tmp/filter.debug
Desired print format is asc
Paper size is letter
A form feed will not be sent.
Magic is |             ASCII text|
Magic is |             ASCII text|
Type of file is INPUT-to-asc
Best path of depth  is cat - | asc-to-printer.fpi


Another love letter from NCR (SVR4) box:
Your printer job (issue)
could not be printed.

Reason for failure:

UX:lpd: ERROR: The following options can't be handled:
               -h
       TO FIX: The printer(s) that otherwise qualify
               for printing your request can't handle
               one or more of these options. Try
               another printer, or change the options.

Comment 3 Tom Cross 1999-10-18 15:13:59 UTC
Just a quick note:  upgrading to lpr-0.43-2 did not help. :(

Let me know if there is anything you would like me to do...

Comment 4 Bill Nottingham 1999-10-18 16:18:59 UTC
What happens if you take the :sh: out of the printcap?

Comment 5 Tom Cross 1999-10-19 16:31:59 UTC
What happens?  Well, it works, that what happens!!  :)

Thanks much!  When printing to a SVR4 lpd printer, remove :sh:??
Works for me...

Comment 6 Bill Nottingham 1999-10-19 16:37:59 UTC
The 'sh' is the suppress headers option; apparently, when sending
that to the SVR4 lpd, it translated that into a '-h' option, which
it didn't like.

Sorry it took so long to come up with this solution.


Note You need to log in before you can comment on or make changes to this bug.